OnlyFans API
FanslyTop Supporters

Get Top Supporter Breakdown

Get earnings broken down by transaction type for a specific supporter, showing how they contributed revenue within a date range.

GET
/api/fansly/{fanslyAccount}/top-supporters/{account_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

account_id*string

The Fansly account ID of the supporter (the correlationAccountId from the List Top Supporters response).

Query Parameters

before?string

End of the date range (ISO 8601). Defaults to now.

after?string

Start of the date range (ISO 8601). Defaults to 30 days ago.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/top-supporters/847765080337555456?before=2026-06-03T23%3A59%3A59Z&after=2026-05-03T00%3A00%3A00Z"
{
  "data": [
    {
      "type": 2116,
      "totalGross": 5000,
      "totalNet": 4000,
      "accountId": "800000000000000001",
      "correlationAccountId": "900000000000000010",
      "timestamp": 1780358400000
    },
    {
      "type": 15001,
      "totalGross": 99000,
      "totalNet": 79200,
      "accountId": "800000000000000001",
      "correlationAccountId": "900000000000000010",
      "timestamp": 1780444800000
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055759,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}